# $Revision: 1.7.2.1 $, $Date: 2007/03/05 22:39:42 $
%define	_lang	es
%define	_reg	ES
%define	_lare	%{_lang}-%{_reg}
Summary:	Spanish resources for SeaMonkey
Summary(ca):	Recursos espanyols per a SeaMonkey
Summary(es):	Recursos espaoles para SeaMonkey
Summary(pl):	Hiszpaskie pliki jzykowe dla SeaMonkeya
Name:		seamonkey-lang-es
Version:	1.1.1
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	ftp://ftp.task.gda.pl/pub/mozilla/seamonkey/releases/%{version}/contrib-localized//seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	e1311e9bdda8763ab98479fc60c1000e
Source1:	http://www.mozilla-enigmail.org/downloads/lang/0.9x/enigmail-%{_lare}-0.9x.xpi
# Source1-md5:	4e147df61d36030bb2754ab702da8491
Source2:	gen-installed-chrome.sh
URL:		http://nave.hispalinux.es/
BuildRequires:	unzip
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
Obsoletes:	mozilla-lang-es
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
Spanish resources for SeaMonkey.

%description -l ca
Recursos espanyols per a SeaMonkey.

%description -l es
Recursos espaoles para SeaMonkey.

%description -l pl
Hiszpaskie pliki jzykowe dla SeaMonkeya.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale \
	chrome/{%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar \
		> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install chrome/{%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar \
	$RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-es.spec,v $
Revision 1.7.2.1  2007/03/05 22:39:42  hawk
- updated to 1.1.1

Revision 1.7  2007/01/23 08:51:56  hawk
- updated to 1.1

Revision 1.6  2006/11/10 16:33:18  sparky
- O: mozilla-lang-es

Revision 1.5  2006/07/31 15:26:14  sparky
- updated, but version number hasn't changed
- use macros

Revision 1.4  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.3  2006/04/17 14:33:11  sparky
- added enigmail translation

Revision 1.2  2006/04/16 18:17:28  sparky
- added regpack

Revision 1.1  2006/04/16 17:29:50  sparky
- NEW, spanish seamonkey resources
